stripplot {base} | R Documentation

## 1-D Scatter Plots

### Description

`stripplot` produces one dimensional scatter plots (or dot plots) of the given data. These plots are are good alternative to `boxplot`s when sample sizes are small.

Extensive examples of the use of this kind of plot can be found in Box, Hunter and Hunter or Seber and Wild.

### Usage

    stripplot(x, method="overplot", jitter=0.1, offset=1/3,
            vertical=FALSE, group.names,
            xlim=NULL, ylim=NULL, main="", ylab="", xlab="",
            pch=0, col=par("fg"), cex=par("cex"))

### Arguments

`x` | the data from which the plots are to be produced. The data can be specified as a single vector, or as list of vectors, each corresponding to a component plot. Alternatively a symbolic specification of the form `x ~ g` can be given, indicating the the observations in the vector `x` are to be grouped according to the levels of the factor `g`. `NA`s are allowed in the data.
`method` | the method to be used to separate coincident points. The default method `"overplot"` causes such points to be overplotted, but it is also possible to specify `"jitter"` to jitter the points, or `"stack"` have coincident points stacked. The last method only makes sense for very granular data.
`jitter` | when jittering is used, `jitter` gives the amount of jittering applied.
`offset` | when stacking is used, points are stacked this many line-heights (symbol widths) apart.
`vertical` | when vertical is `TRUE` the plots are drawn vertically rather than the default horizontal.
`group.names` | group labels which will be printed alongside (or underneath) each plot.
`...` | Graphical parameters can also be specified as arguments.

### Examples

    x <- round(rnorm(50), 1)
    stripplot(x)